Summary:	xmodmap application - modifying keymaps and pointer button mappings in X
Summary(pl.UTF-8):	Aplikacja xmodmap - zmiana przypisań klawiszy i przycisków myszy w X
Name:		xorg-app-xmodmap
Version:	1.0.9
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xmodmap-%{version}.tar.bz2
# Source0-md5:	723f02d3a5f98450554556205f0a9497
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.25
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xmodmap program is used to edit and display the keyboard modifier
map and keymap table that are used by client applications to convert
event keycodes into keysyms. It is usually run from the user's session
startup script to configure the keyboard according to personal tastes.

%description -l pl.UTF-8
Program xmodmap służy do modyfikowania i wyświetlania przypisań
modyfikatorów klawiatury oraz tablicy przypisań klawiszy używanych
przez aplikacje klienckie do przekształcania kodów klawiszy zdarzenia
(keycode) na symbole klawiszy (keysym). Zwykle jest uruchamiany ze
skryptu startowego sesji użytkownika w celu skonfigurowania klawiatury
zgodnie z własnymi gustami.

%prep
%setup -q -n xmodmap-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xmodmap
%{_mandir}/man1/xmodmap.1*
%changelog
* Tue Apr 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-xmodmap.git;a=log;h=master

* Tue Apr 21 2015 Jakub Bogusz <qboosh@pld-linux.org> a8ce89e
- updated to 1.0.9

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 5a20aed
- x32 rebuild
- release 2 (by relup.sh)

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 64e5ef0
- fixed build without xman suffix

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> d0cd81e
- updated to 1.0.8

* Tue Apr 24 2012 Jakub Bogusz <qboosh@pld-linux.org> f34ad05
- updated to 1.0.7

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> f3d06ce
- updated to 1.0.6

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 5614ba9
- dropped pre-cvs changelog

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> a68a234
- updated to 1.0.5

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 6267cce
- util-macros version

* Tue Oct 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> eca448b
- up to 1.0.4

* Tue Aug 07 2007 Jakub Bogusz <qboosh@pld-linux.org> ae97bd5
- real descs from man

* Tue Aug 07 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 119ca45
- up to 1.0.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a543fca
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 735ee34
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> 637caf6
- more verbose files

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 84e91f6
- updated to 1.0.2, release 1

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> b2982d9
- up to 1.0.1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 525fef0
- 1.0.0 (X11R7.0 release)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 95e4108
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 15ada38
- 0.99.1 (X11R7.0-RC1)

